GDNC(1)

NAME
gdnc - GNUstep Distributed Notification Center

SYNOPSIS
gdnc

DESCRIPTION
The gdnc daemon is used by GNUstep programs to send notifications and messages to one another.

Every user needs to have his own instance of gdnc running. While gdnc will be started automatically as soon as it is needed, it is recommend to start gdnc in a personal login script like ~/.bashrc or ~/.cshrc. Alternatively you can launch gpbs when your windowing system or the window manager is started. For example, on systems with X11 you can launch gdnc from your .xinitrc script or alternatively - if you are running Window Maker - put it in Window Maker's autostart script. See the GNUstep Build Guide for a sample startup script.

OPTIONS
To attach gdnc to a remote session use the

-NXHost hostname
    argument.

DIAGNOSTICS
gdomap -L GDNCServer will lookup instances of gdnc.

Alternatively, gdomap -N will list all registered names on the local host.

SEE ALSO
gdomap(8), GNUstep(7), gpbs(1)

The GNUstep Build Guide example startup script: <http://gnustep.made-it.com/BuildGuide/index.html#GNUSTEP.SERVICES>

HISTORY
Work on gdnc started October 1998.

This manual page first appeared in gnustep-base 1.7.2 (July 2003).

AUTHORS
gdnc was written by Richard Frith-McDonald <rfm@gnu.org>.

This man page was written by Martin Brecher <martin@mb-itconsulting.com>.